# Role : docker_matomo


## Services fournis

Installation d'une instance matomo sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_matomo_fqdn: matomo.libretic.fr
docker_matomo_data_dir: /data1
docker_matomo_service_id: matomo
docker_matomo_image_version: x.y.z
docker_matomo_db_name: matomodb
docker_matomo_db_user: user_proprietaire_bdd
docker_matomo_db_password: mdp_proprietaire_bdd
```

| Option                         | Valeur par défaut | Description                                                                               |
|--------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_matomo_fqdn             |                   | Nom de domaine pour lequel le service matomo répond                                       |
| docker_matomo_data_dir         |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_matomo_service_id       |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_matomo_image_version    |                   | Version de matomo et de l'image docker                                                    |
| docker_matomo_db_name          |                   | Nom de la base de données                                                                 |
| docker_matomo_db_user          |                   | Nom du proprietaire_de la base                                                            |
| docker_matomo_db_password      |                   | MDP du proprietaire_de la base                                                            |




## Poursuite de l'installation dans matomo

Après le premier lancement :
- créer le compte administrateur interne de matomo depuis la page d'administration

